#include <iostream.h>
#include <math.h>

//#define PI 3.14159
#define MAX 400
double sin_tab[MAX];
double cos_tab[MAX];
double a,b,x,y;

/*
#define TEST
#include <string.h>
#include <strstream.h>

char szInput[]="\
1\n\
1000 1000 1100 5\n\
3\n\
10 10 8 8\n\
8 8 10 10\n\
50000 50000 50020 5\n\
";
istrstream IN( szInput, strlen(szInput));
*/
#ifdef TEST
#define D(x) OUT<<'*'<<x<<"* ";
#define DN OUT << '\n';
#else
#define D(x)
#define DN
#define IN cin
#endif

#define OUT cout



int Inside( long Ix, long Iy, long Ia, long Ib)
{
    if (Ix<=Ia && Iy<=Ib)
	return 1;
    else
	return 0;
}

int Is_OK()
{
    for (int i=0; i<MAX; i++)
    {
	D(i)
	if (a-x*cos_tab[i]-y*sin_tab[i]>0 &&
	    b-x*sin_tab[i]-y*cos_tab[i]>0)
	return 1;
    }
    return 0;
}


int main()
{
    double alfa=0.0;
    double step=PI/(2*MAX);
    for (int i=0; i<MAX; i++)
    {
	sin_tab[i]=sin(alfa);
	cos_tab[i]=cos(alfa);
	alfa+=step;
    }

    int n;
    long A,B,X,Y;
    IN >> n;
    for (int i=0; i<n; i++)
    {
	IN >> A >> B >> X >> Y;
	a=A;
	b=B;
	x=X;
	y=Y;

	if (Inside( X,Y,A,B) || Inside( Y,X,A,B))
	    OUT << "Escape is possible.\n";
	else
	{	    
		if (Is_OK())
	        OUT << "Escape is possible.\n";
		else
	        OUT << "Box cannot be dropped.\n";
	}
    }

    return 0;
}